package com.syntevo.openapi.smartsvn.command.commit;

import java.util.*;

import org.jetbrains.annotations.*;

/**
 * @author syntevo GmbH
 */
public abstract class FilterCommitWorkflow implements ICommitWorkflow {

	// Fields =================================================================

	@NotNull
	private final ICommitWorkflow baseWorkflow;

	// Setup ==================================================================

	public FilterCommitWorkflow(@NotNull ICommitWorkflow baseWorkflow) {
		this.baseWorkflow = baseWorkflow;
	}

	// Implemented ============================================================

	@NotNull
	public ICommitConfigurationPhase getConfigurationPhase() {
		return baseWorkflow.getConfigurationPhase();
	}

	@NotNull
	public List<ICommitPacketPhase> getPacketPhases() {
		return baseWorkflow.getPacketPhases();
	}

	@NotNull
	public Set<CommitPacket> prepareForPacketPhases(Set<CommitPacket> packets) {
		return baseWorkflow.prepareForPacketPhases(packets);
	}

	@NotNull
	public ICommitPreCommandPhase getPreCommandPhase() {
		return baseWorkflow.getPreCommandPhase();
	}

	@NotNull
	public ICommitPostCommandPhase getPostCommandPhase() {
		return baseWorkflow.getPostCommandPhase();
	}
}