package com.syntevo.openapi.smartsvn.command.commit;

import java.util.*;

import org.jetbrains.annotations.*;
import org.tmatesoft.svn.core.*;
import org.tmatesoft.svn.core.wc.*;

import com.syntevo.openapi.smartsvn.command.*;
import com.syntevo.openapi.smartsvn.file.*;

/**
 * @author syntevo GmbH
 */
public abstract class FilterPostCommandPhase implements ICommitPostCommandPhase {

	// Fields =================================================================

	private final ICommitPostCommandPhase wrappedPhase;

	// Setup ==================================================================

	protected FilterPostCommandPhase(@NotNull ICommitPostCommandPhase wrappedPhase) {
		this.wrappedPhase = wrappedPhase;
	}

	// Implemented ============================================================

	@Override
	public void process(@NotNull Map<Path, SVNEvent> pathToEvent, @NotNull SvnClients svnClients) throws SVNException {
		wrappedPhase.process(pathToEvent, svnClients);
	}
}
